- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxPropertyT< FbxReference > Class Template Reference

Search for all occurrences

## Detailed Description

### template<>
class FbxPropertyT< FbxReference >

Definition at line 1283 of file fbxproperty.h.

`#include <fbxproperty.h>`

Inheritance diagram for FbxPropertyT< FbxReference >:
[legend]

List of all members.

## Public Member Functions
| FbxPropertyT ()
| FbxPropertyT (const FbxProperty &pProperty)
| ~FbxPropertyT ()
const FbxProperty & | StaticInit (FbxObject *pObject, const char *pName, const FbxReference &pValue, bool pForceSet=true, FbxPropertyAttr::EFlags pFlags=FbxPropertyAttr::eNone)
const FbxProperty & | StaticInit (FbxObject *pObject, const char *pName, const FbxDataType &pDataType, const FbxReference &pValue, bool pForceSet=true, FbxPropertyAttr::EFlags pFlags=FbxPropertyAttr::eNone)
FbxPropertyT & | Set (const FbxReference &pValue)
FbxPropertyT & | operator= (const FbxReference &pValue)
FbxReference | Get () const
| Gets the value of the property.
| operator FbxReference () const

## Constructor & Destructor Documentation

FbxPropertyT | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 1286 of file fbxproperty.h.

    : FbxProperty(){}

FbxPropertyT | ( | const FbxProperty & | pProperty | ) | `[inline]`

Search for all occurrences

Definition at line 1287 of file fbxproperty.h.

    : FbxProperty(pProperty){}

~FbxPropertyT | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 1288 of file fbxproperty.h.

    {}

## Member Function Documentation

const FbxProperty& StaticInit | ( | FbxObject * | pObject,
|  | const char * | pName,
|  | const FbxReference & | pValue,
|  | bool | pForceSet = `true`,
|  | FbxPropertyAttr::EFlags | pFlags = `FbxPropertyAttr::eNone`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 1290 of file fbxproperty.h.

        {
            return StaticInit(pObject, pName, FbxGetDataTypeFromEnum(FbxTypeOf(*((FbxReference*)0))), pValue, pForceSet, pFlags);
        }

const FbxProperty& StaticInit | ( | FbxObject * | pObject,
|  | const char * | pName,
|  | const FbxDataType & | pDataType,
|  | const FbxReference & | pValue,
|  | bool | pForceSet = `true`,
|  | FbxPropertyAttr::EFlags | pFlags = `FbxPropertyAttr::eNone`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 1295 of file fbxproperty.h.

        {
            bool lWasFound = false;
            *this = Create(pObject, pDataType, pName, "", true, &lWasFound);
            if( pForceSet || !lWasFound )
            {
                ModifyFlag(pFlags, true);   // modify the flags before we set the value
                Set(pValue);            // since we will trigger callbacks in there!
            }
            return *this;
        }

FbxPropertyT& Set | ( | const FbxReference & | pValue | ) | `[inline]`

Search for all occurrences

Reimplemented from FbxProperty.

Definition at line 1307 of file fbxproperty.h.

        {
            DisconnectAllSrcObject();
            ConnectSrcObject((FbxObject*)pValue);
            return *this;
        }

FbxPropertyT& operator= | ( | const FbxReference & | pValue | ) | `[inline]`

Definition at line 1313 of file fbxproperty.h.

    { return Set(pValue); }

FbxReference Get | ( |  | ) | const `[inline]`

Search for all occurrences

Gets the value of the property.

Parameters:

  pFBX_TYPE | The data type of the value.

Returns:
  The property value.

Reimplemented from FbxProperty.

Definition at line 1315 of file fbxproperty.h.

        {
            return ( GetSrcObjectCount() > 0 ) ? (FbxReference)GetSrcObject() : NULL;
        }

operator FbxReference | ( |  | ) | const `[inline]`

Definition at line 1319 of file fbxproperty.h.

    { return Get(); }

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxproperty.h